package me.unurled.raxen.utils;

import static me.unurled.raxen.utils.Utils.coloredString;

import java.util.Objects;
import me.filoghost.holographicdisplays.api.HolographicDisplaysAPI;
import me.filoghost.holographicdisplays.api.hologram.Hologram;
import me.unurled.raxen.Raxen;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.scheduler.BukkitRunnable;

public class Tags {

    public static void makeFloatingText(String name, Location loc, double xzOffset, double yMin,
        double yMax, double durationSec) {
        loc.add(-xzOffset / 2 + (java.lang.Math.random() * (xzOffset)),
            (java.lang.Math.random() * (yMax - yMin)) + yMin, -xzOffset / 2 + (
                java.lang.Math.random() * (xzOffset)));
        HolographicDisplaysAPI api = HolographicDisplaysAPI.get((Raxen) Objects.requireNonNull(
            Bukkit.getPluginManager()
                .getPlugin("Raxen")));
        Hologram hologram = api.createHologram(loc);
        hologram.getLines().appendText(coloredString(name));
        new BukkitRunnable() {
            @Override
            public void run() {
                hologram.delete();
            }
        }.runTaskLater(((Raxen) Objects.requireNonNull(
            Bukkit.getPluginManager()
                .getPlugin("Raxen"))).getPlugin(), (long) (durationSec * 20));
    }

}
