package me.unurled.raxen.utils.libs;

import lombok.Getter;
import me.filoghost.holographicdisplays.api.HolographicDisplaysAPI;
import me.filoghost.holographicdisplays.api.hologram.Hologram;
import me.unurled.raxen.Raxen;
import org.bukkit.Location;

public class HolographicDisplay {

    private Raxen main;
    @Getter
    private HolographicDisplaysAPI api;

    public HolographicDisplay(Raxen main) {
        this.main = main;
        api = HolographicDisplaysAPI.get(main);
    }

    /**
     * template to use
     *
     * @param loc
     * @param text
     */
    public void createHologram(Location loc, String... text) {
        Hologram hologram = api.createHologram(loc);
        for (String s : text) {
            hologram.getLines().appendText(s);
        }
    }
}
